]> git.proxmox.com Git - grub2.git/blob - tests/grub_script_expansion.in
* Merge 1.99-27.1 (thanks, Steve McIntyre):
[grub2.git] / tests / grub_script_expansion.in
1 #! /bin/bash
2 set -e
3
4 # Run GRUB script in a Qemu instance
5 # Copyright (C) 2010 Free Software Foundation, Inc.
6 #
7 # GRUB is free software: you can redistribute it and/or modify
8 # it under the terms of the GNU General Public License as published by
9 # the Free Software Foundation, either version 3 of the License, or
10 # (at your option) any later version.
11 #
12 # GRUB is distributed in the hope that it will be useful,
13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 # GNU General Public License for more details.
16 #
17 # You should have received a copy of the GNU General Public License
18 # along with GRUB. If not, see <http://www.gnu.org/licenses/>.
19
20 disks=`echo ls | @builddir@/grub-shell| grep -av '^Network protocols:$'| grep -av '^tftp http $'`
21 other=`echo insmod regexp\; echo \* | @builddir@/grub-shell`
22 for d in $disks; do
23 if echo "$d" |grep ',' >/dev/null; then
24 if echo "$other" | grep "$d" >/dev/null; then
25 echo "$d should not occur in * expansion" >&2
26 exit 1
27 fi
28 else
29 if ! echo "$other" | grep "$d" >/dev/null; then
30 echo "$d missing from * expansion" >&2
31 exit 1
32 fi
33 fi
34 done
35
36 other=`echo insmod regexp\; echo '(*)' | @builddir@/grub-shell`
37 for d in $disks; do
38 if ! echo "$other" | grep "$d" >/dev/null; then
39 echo "$d missing from (*) expansion" >&2
40 exit 1
41 fi
42 done
43